#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif
#include <stdio.h>
#include <dlfcn.h>
#include "svdpi.h"

#ifdef __cplusplus
extern "C" {
#endif

/* VCS error reporting routine */
extern void vcsMsgReport1(const char *, const char *, int, void *, void*, const char *);

#ifndef _VC_TYPES_
#define _VC_TYPES_
/* common definitions shared with DirectC.h */

typedef unsigned int U;
typedef unsigned char UB;
typedef unsigned char scalar;
typedef struct { U c; U d;} vec32;

#define scalar_0 0
#define scalar_1 1
#define scalar_z 2
#define scalar_x 3

extern long long int ConvUP2LLI(U* a);
extern void ConvLLI2UP(long long int a1, U* a2);
extern long long int GetLLIresult();
extern void StoreLLIresult(const unsigned int* data);
typedef struct VeriC_Descriptor *vc_handle;

#ifndef SV_3_COMPATIBILITY
#define SV_STRING const char*
#else
#define SV_STRING char*
#endif

#endif /* _VC_TYPES_ */

#ifndef __VCS_IMPORT_DPI_STUB_questa_mvc_sv_show
#define __VCS_IMPORT_DPI_STUB_questa_mvc_sv_show
__attribute__((weak)) void questa_mvc_sv_show(/* INPUT */const char* A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */const char* A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(const char* A_1)) dlsym(RTLD_NEXT, "questa_mvc_sv_show");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_mvc_sv_show");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_mvc_sv_show */

#ifndef __VCS_IMPORT_DPI_STUB_questa_mvc_sv_do_cmd
#define __VCS_IMPORT_DPI_STUB_questa_mvc_sv_do_cmd
__attribute__((weak)) void questa_mvc_sv_do_cmd(/* INPUT */const char* A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */const char* A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(const char* A_1)) dlsym(RTLD_NEXT, "questa_mvc_sv_do_cmd");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_mvc_sv_do_cmd");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_mvc_sv_do_cmd */

#ifndef __VCS_IMPORT_DPI_STUB_questa_mvc_sv_convert_to_precision
#define __VCS_IMPORT_DPI_STUB_questa_mvc_sv_convert_to_precision
__attribute__((weak)) long long questa_mvc_sv_convert_to_precision(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static long long (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (long long (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "questa_mvc_sv_convert_to_precision");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_mvc_sv_convert_to_precision");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_mvc_sv_convert_to_precision */

#ifndef __VCS_IMPORT_DPI_STUB_questa_mvc_sv_convert_real_to_precision
#define __VCS_IMPORT_DPI_STUB_questa_mvc_sv_convert_real_to_precision
__attribute__((weak)) double questa_mvc_sv_convert_real_to_precision(/* INPUT */double A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static double (*_vcs_dpi_fp_)(/* INPUT */double A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (double (*)(double A_1, int A_2)) dlsym(RTLD_NEXT, "questa_mvc_sv_convert_real_to_precision");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_mvc_sv_convert_real_to_precision");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_mvc_sv_convert_real_to_precision */

#ifndef __VCS_IMPORT_DPI_STUB_questa_vip_get_version
#define __VCS_IMPORT_DPI_STUB_questa_vip_get_version
__attribute__((weak)) SV_STRING questa_vip_get_version(/* INPUT */const char* A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static SV_STRING (*_vcs_dpi_fp_)(/* INPUT */const char* A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (SV_STRING (*)(const char* A_1)) dlsym(RTLD_NEXT, "questa_vip_get_version");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_vip_get_version");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_vip_get_version */

#ifndef __VCS_IMPORT_DPI_STUB_questa_vip_get_platform
#define __VCS_IMPORT_DPI_STUB_questa_vip_get_platform
__attribute__((weak)) SV_STRING questa_vip_get_platform()
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static SV_STRING (*_vcs_dpi_fp_)() = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (SV_STRING (*)()) dlsym(RTLD_NEXT, "questa_vip_get_platform");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_();
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_vip_get_platform");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_vip_get_platform */

#ifndef __VCS_IMPORT_DPI_STUB_questa_mvc_sv_home
#define __VCS_IMPORT_DPI_STUB_questa_mvc_sv_home
__attribute__((weak)) SV_STRING questa_mvc_sv_home()
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static SV_STRING (*_vcs_dpi_fp_)() = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (SV_STRING (*)()) dlsym(RTLD_NEXT, "questa_mvc_sv_home");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_();
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "questa_mvc_sv_home");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_questa_mvc_sv_home */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_initialise_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_initialise_SystemVerilog
__attribute__((weak)) long long dvc_axi4_initialise_SystemVerilog(/* INPUT */int A_1, /* INPUT */const char* A_2, /* INPUT */long long A_3, /* INPUT */int A_4, /* OUTPUT */long long *A_5, /* OUTPUT */long long *A_6, /* OUTPUT */long long *A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10, 
/* INPUT */int A_11, /* INPUT */int A_12, /* INPUT */int A_13)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static long long (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */const char* A_2, /* INPUT */long long A_3, /* INPUT */int A_4, /* OUTPUT */long long *A_5, /* OUTPUT */long long *A_6, /* OUTPUT */long long *A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10, 
/* INPUT */int A_11, /* INPUT */int A_12, /* INPUT */int A_13) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (long long (*)(int A_1, const char* A_2, long long A_3, int A_4, long long* A_5, long long* A_6, long long* A_7, int A_8, int A_9, int A_10, int A_11, int A_12, int A_13)) dlsym(RTLD_NEXT, "dvc_axi4_initialise_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_initialise_SystemVerilog");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_initialise_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_register_end_point
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_register_end_point
__attribute__((weak)) void dvc_axi4_register_end_point(/* INPUT */long long A_1, /* INPUT */long long A_2, /* INPUT */const char* A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */long long A_2, /* INPUT */const char* A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, long long A_2, const char* A_3)) dlsym(RTLD_NEXT, "dvc_axi4_register_end_point");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_register_end_point");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_register_end_point */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_interface
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_interface
__attribute__((weak)) void dvc_axi4_set_interface(/* INPUT */int A_1, /* INPUT */int A_2, /* INPUT */int A_3, /* INPUT */int A_4, /* INPUT */int A_5, /* INPUT */int A_6, /* INPUT */int A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10, 
/* INPUT */int A_11)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */int A_2, /* INPUT */int A_3, /* INPUT */int A_4, /* INPUT */int A_5, /* INPUT */int A_6, /* INPUT */int A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10, 
/* INPUT */int A_11) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, int A_2, int A_3, int A_4, int A_5, int A_6, int A_7, int A_8, int A_9, int A_10, int A_11)) dlsym(RTLD_NEXT, "dvc_axi4_set_interface");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_interface");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_interface */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_interface
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_interface
__attribute__((weak)) int dvc_axi4_get_interface(/* INPUT */int A_1, /* INPUT */int A_2, /* INPUT */int A_3, /* INPUT */int A_4, /* INPUT */int A_5, /* INPUT */int A_6, /* INPUT */int A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10
)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static int (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */int A_2, /* INPUT */int A_3, /* INPUT */int A_4, /* INPUT */int A_5, /* INPUT */int A_6, /* INPUT */int A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10
) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (int (*)(int A_1, int A_2, int A_3, int A_4, int A_5, int A_6, int A_7, int A_8, int A_9, int A_10)) dlsym(RTLD_NEXT, "dvc_axi4_get_interface");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_interface");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_interface */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_full_name
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_full_name
__attribute__((weak)) SV_STRING dvc_axi4_get_full_name()
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static SV_STRING (*_vcs_dpi_fp_)() = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (SV_STRING (*)()) dlsym(RTLD_NEXT, "dvc_axi4_get_full_name");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        return _vcs_dpi_fp_();
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_full_name");
        return 0;
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_full_name */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_master_end_abstraction_level
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_master_end_abstraction_level
__attribute__((weak)) void dvc_axi4_set_master_end_abstraction_level(/* INPUT */unsigned char A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */unsigned char A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned char A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_master_end_abstraction_level");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_master_end_abstraction_level");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_master_end_abstraction_level */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_master_end_abstraction_level
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_master_end_abstraction_level
__attribute__((weak)) void dvc_axi4_get_master_end_abstraction_level(/* OUTPUT */unsigned char *A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* OUTPUT */unsigned char *A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned char* A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_master_end_abstraction_level");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_master_end_abstraction_level");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_master_end_abstraction_level */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_slave_end_abstraction_level
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_slave_end_abstraction_level
__attribute__((weak)) void dvc_axi4_set_slave_end_abstraction_level(/* INPUT */unsigned char A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */unsigned char A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned char A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_slave_end_abstraction_level");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_slave_end_abstraction_level");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_slave_end_abstraction_level */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_slave_end_abstraction_level
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_slave_end_abstraction_level
__attribute__((weak)) void dvc_axi4_get_slave_end_abstraction_level(/* OUTPUT */unsigned char *A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* OUTPUT */unsigned char *A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned char* A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_slave_end_abstraction_level");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_slave_end_abstraction_level");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_slave_end_abstraction_level */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ACLK_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ACLK_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ACLK_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ACLK_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ACLK_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ACLK_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ACLK_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ACLK_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ACLK_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ACLK_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ACLK_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ACLK_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARESETn_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARESETn_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARESETn_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARESETn_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARESETn_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARESETn_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARESETn_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARESETn_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARESETn_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARESETn_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARESETn_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARESETn_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWVALID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWVALID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWVALID_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWVALID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWVALID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWVALID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWVALID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWVALID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWVALID_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWVALID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWVALID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWVALID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWADDR_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWADDR_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_AWADDR_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWADDR_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWADDR_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWADDR_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWADDR_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWADDR_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_AWADDR_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_AWADDR_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_AWADDR_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWADDR_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWADDR_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWADDR_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWADDR_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWADDR_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWADDR_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWADDR_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWPROT_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWPROT_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWPROT_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWPROT_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWPROT_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWPROT_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWPROT_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWPROT_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWPROT_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWPROT_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWPROT_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWPROT_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWREGION_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWREGION_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWREGION_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWREGION_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWREGION_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWREGION_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWREGION_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWREGION_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWREGION_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWREGION_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWREGION_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWREGION_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWLEN_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWLEN_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWLEN_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWLEN_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWLEN_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWLEN_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWLEN_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWLEN_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWLEN_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWLEN_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWLEN_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWLEN_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWSIZE_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWSIZE_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWSIZE_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWSIZE_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWSIZE_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWSIZE_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWSIZE_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWSIZE_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWSIZE_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWSIZE_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWSIZE_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWSIZE_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWBURST_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWBURST_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWBURST_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWBURST_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWBURST_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWBURST_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWBURST_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWBURST_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWBURST_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWBURST_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWBURST_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWBURST_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWLOCK_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWLOCK_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWLOCK_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWLOCK_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWLOCK_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWLOCK_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWLOCK_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWLOCK_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWLOCK_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWLOCK_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWLOCK_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWLOCK_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWCACHE_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWCACHE_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWCACHE_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWCACHE_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWCACHE_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWCACHE_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWCACHE_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWCACHE_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWCACHE_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWCACHE_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWCACHE_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWCACHE_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWQOS_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWQOS_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWQOS_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWQOS_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWQOS_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWQOS_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWQOS_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWQOS_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWQOS_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWQOS_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWQOS_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWQOS_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWID_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWID_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_AWID_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWID_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWID_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWID_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_AWID_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_AWID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_AWID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWID_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWUSER_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWUSER_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_AWUSER_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWUSER_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWUSER_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWUSER_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWUSER_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWUSER_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_AWUSER_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_AWUSER_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_AWUSER_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_AWUSER_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWUSER_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWUSER_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWUSER_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWUSER_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWUSER_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWUSER_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_AWREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_AWREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_AWREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_AWREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_AWREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_AWREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_AWREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_AWREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARVALID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARVALID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARVALID_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARVALID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARVALID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARVALID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARVALID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARVALID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARVALID_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARVALID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARVALID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARVALID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARADDR_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARADDR_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_ARADDR_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARADDR_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARADDR_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARADDR_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARADDR_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARADDR_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_ARADDR_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_ARADDR_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_ARADDR_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARADDR_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARADDR_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARADDR_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARADDR_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARADDR_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARADDR_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARADDR_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARPROT_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARPROT_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARPROT_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARPROT_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARPROT_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARPROT_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARPROT_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARPROT_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARPROT_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARPROT_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARPROT_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARPROT_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARREGION_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARREGION_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARREGION_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARREGION_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARREGION_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARREGION_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARREGION_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARREGION_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARREGION_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARREGION_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARREGION_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARREGION_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARLEN_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARLEN_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARLEN_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARLEN_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARLEN_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARLEN_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARLEN_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARLEN_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARLEN_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARLEN_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARLEN_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARLEN_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARSIZE_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARSIZE_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARSIZE_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARSIZE_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARSIZE_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARSIZE_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARSIZE_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARSIZE_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARSIZE_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARSIZE_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARSIZE_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARSIZE_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARBURST_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARBURST_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARBURST_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARBURST_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARBURST_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARBURST_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARBURST_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARBURST_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARBURST_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARBURST_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARBURST_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARBURST_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARLOCK_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARLOCK_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARLOCK_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARLOCK_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARLOCK_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARLOCK_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARLOCK_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARLOCK_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARLOCK_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARLOCK_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARLOCK_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARLOCK_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARCACHE_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARCACHE_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARCACHE_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARCACHE_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARCACHE_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARCACHE_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARCACHE_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARCACHE_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARCACHE_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARCACHE_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARCACHE_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARCACHE_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARQOS_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARQOS_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARQOS_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARQOS_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARQOS_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARQOS_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARQOS_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARQOS_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARQOS_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARQOS_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARQOS_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARQOS_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARID_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARID_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_ARID_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARID_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARID_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARID_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_ARID_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_ARID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_ARID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARID_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARUSER_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARUSER_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_ARUSER_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARUSER_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARUSER_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARUSER_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARUSER_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARUSER_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_ARUSER_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_ARUSER_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_ARUSER_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_ARUSER_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARUSER_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARUSER_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARUSER_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARUSER_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARUSER_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARUSER_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_ARREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_ARREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_ARREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_ARREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_ARREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_ARREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_ARREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_ARREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RVALID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RVALID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_RVALID_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_RVALID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RVALID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RVALID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RVALID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RVALID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RVALID_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_RVALID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RVALID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RVALID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RDATA_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RDATA_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_RDATA_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_RDATA_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RDATA_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RDATA_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RDATA_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RDATA_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_RDATA_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_RDATA_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_RDATA_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RDATA_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RDATA_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RDATA_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RDATA_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_RDATA_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RDATA_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RDATA_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RRESP_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RRESP_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_RRESP_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_RRESP_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RRESP_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RRESP_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RRESP_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RRESP_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RRESP_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_RRESP_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RRESP_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RRESP_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RLAST_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RLAST_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_RLAST_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_RLAST_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RLAST_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RLAST_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RLAST_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RLAST_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RLAST_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_RLAST_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RLAST_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RLAST_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RID_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RID_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_RID_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_RID_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RID_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RID_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_RID_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_RID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_RID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RID_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_RID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RUSER_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RUSER_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_RUSER_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_RUSER_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RUSER_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RUSER_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RUSER_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RUSER_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_RUSER_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_RUSER_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_RUSER_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_RUSER_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RUSER_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RUSER_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RUSER_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_RUSER_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RUSER_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RUSER_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_RREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_RREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_RREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_RREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_RREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_RREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_RREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_RREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WVALID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WVALID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_WVALID_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_WVALID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_WVALID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WVALID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WVALID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WVALID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_WVALID_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_WVALID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_WVALID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WVALID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WDATA_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WDATA_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_WDATA_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_WDATA_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_WDATA_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WDATA_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WDATA_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WDATA_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_WDATA_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_WDATA_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_WDATA_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WDATA_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WDATA_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WDATA_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_WDATA_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_WDATA_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_WDATA_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WDATA_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WSTRB_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WSTRB_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_WSTRB_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_WSTRB_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_WSTRB_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WSTRB_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WSTRB_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WSTRB_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_WSTRB_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_WSTRB_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_WSTRB_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WSTRB_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WSTRB_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WSTRB_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_WSTRB_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_WSTRB_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_WSTRB_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WSTRB_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WLAST_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WLAST_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_WLAST_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_WLAST_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_WLAST_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WLAST_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WLAST_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WLAST_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_WLAST_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_WLAST_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_WLAST_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WLAST_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WUSER_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WUSER_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_WUSER_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_WUSER_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_WUSER_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WUSER_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WUSER_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WUSER_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_WUSER_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_WUSER_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_WUSER_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_WUSER_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WUSER_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WUSER_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_WUSER_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_WUSER_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_WUSER_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WUSER_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_WREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_WREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_WREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_WREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_WREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_WREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_WREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_WREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BVALID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BVALID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_BVALID_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_BVALID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_BVALID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BVALID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BVALID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BVALID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_BVALID_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_BVALID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_BVALID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BVALID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BRESP_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BRESP_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_BRESP_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_BRESP_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_BRESP_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BRESP_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BRESP_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BRESP_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_BRESP_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svLogicVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svLogicVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_BRESP_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_BRESP_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BRESP_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BID_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BID_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_BID_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_BID_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_BID_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BID_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_BID_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_BID_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_BID_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_BID_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_BID_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_BID_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BID_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BID_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_BID_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_BID_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_BID_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BID_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BUSER_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BUSER_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_BUSER_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_BUSER_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_BUSER_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BUSER_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_BUSER_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_BUSER_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_BUSER_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_BUSER_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_BUSER_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_BUSER_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BUSER_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BUSER_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_BUSER_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_BUSER_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_BUSER_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BUSER_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_BREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_BREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_BREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_BREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_BREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_BREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_BREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_BREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_axi4lite_interface_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_axi4lite_interface_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_axi4lite_interface_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_axi4lite_interface_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_axi4lite_interface_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_axi4lite_interface_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_axi4lite_interface_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_axi4lite_interface_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_axi4lite_interface_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_axi4lite_interface_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_axi4lite_interface_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_axi4lite_interface_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_interface_type_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_interface_type_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_interface_type_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svBitVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svBitVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svBitVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_interface_type_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_interface_type_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_interface_type_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_interface_type_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_interface_type_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_interface_type_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svBitVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svBitVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svBitVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_interface_type_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_interface_type_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_interface_type_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_rlast_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_rlast_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_rlast_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_rlast_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_rlast_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_rlast_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_rlast_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_rlast_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_rlast_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_rlast_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_rlast_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_rlast_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_id_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_id_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_id_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_id_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_id_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_id_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_id_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_id_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_id_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_id_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_id_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_id_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_all_assertions_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_all_assertions_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_all_assertions_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_all_assertions_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_all_assertions_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_all_assertions_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_all_assertions_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_all_assertions_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_all_assertions_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_all_assertions_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_all_assertions_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_all_assertions_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_assertion_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_assertion_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_assertion_from_SystemVerilog(/* INPUT */long long A_1, const /* INPUT */svBitVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, const /* INPUT */svBitVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, const svBitVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_assertion_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_assertion_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_assertion_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_assertion_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_assertion_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_assertion_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */svBitVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */svBitVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, svBitVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_assertion_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_assertion_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_assertion_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_user_sideband_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_user_sideband_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_user_sideband_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_user_sideband_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_user_sideband_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_user_sideband_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_user_sideband_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_user_sideband_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_user_sideband_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_user_sideband_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_user_sideband_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_user_sideband_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_slave_exclusive_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_slave_exclusive_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_slave_exclusive_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_slave_exclusive_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_slave_exclusive_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_slave_exclusive_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_slave_exclusive_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_slave_exclusive_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_slave_exclusive_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_slave_exclusive_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_slave_exclusive_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_slave_exclusive_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_read_data_reordering_depth_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_read_data_reordering_depth_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_read_data_reordering_depth_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_read_data_reordering_depth_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_read_data_reordering_depth_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_read_data_reordering_depth_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_read_data_reordering_depth_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_read_data_reordering_depth_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_read_data_reordering_depth_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_read_data_reordering_depth_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_read_data_reordering_depth_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_read_data_reordering_depth_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_slave_start_addr_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_slave_start_addr_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_config_slave_start_addr_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_slave_start_addr_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_slave_start_addr_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_slave_start_addr_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_config_slave_start_addr_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_config_slave_start_addr_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_config_slave_start_addr_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_config_slave_start_addr_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_config_slave_start_addr_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_config_slave_start_addr_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_deprecated_config_slave_start_addr_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_deprecated_config_slave_start_addr_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_deprecated_config_slave_start_addr_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_deprecated_config_slave_start_addr_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_deprecated_config_slave_start_addr_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_deprecated_config_slave_start_addr_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_slave_start_addr_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_slave_start_addr_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_slave_start_addr_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_slave_start_addr_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_slave_start_addr_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_slave_start_addr_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_slave_end_addr_from_SystemVerilog_index1
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_slave_end_addr_from_SystemVerilog_index1
__attribute__((weak)) void dvc_axi4_set_config_slave_end_addr_from_SystemVerilog_index1(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2, /* INPUT */unsigned char A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2, unsigned char A_3)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_slave_end_addr_from_SystemVerilog_index1");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_slave_end_addr_from_SystemVerilog_index1");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_slave_end_addr_from_SystemVerilog_index1 */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_config_slave_end_addr_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_config_slave_end_addr_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_propagate_config_slave_end_addr_from_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_propagate_config_slave_end_addr_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_propagate_config_slave_end_addr_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_propagate_config_slave_end_addr_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_deprecated_config_slave_end_addr_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_deprecated_config_slave_end_addr_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_deprecated_config_slave_end_addr_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_deprecated_config_slave_end_addr_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_deprecated_config_slave_end_addr_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_deprecated_config_slave_end_addr_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_slave_end_addr_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_slave_end_addr_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_slave_end_addr_into_SystemVerilog(/* INPUT */long long A_1)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_slave_end_addr_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_slave_end_addr_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_slave_end_addr_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_transaction_time_factor_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_transaction_time_factor_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_transaction_time_factor_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_transaction_time_factor_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_transaction_time_factor_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_transaction_time_factor_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_transaction_time_factor_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_transaction_time_factor_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_transaction_time_factor_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_transaction_time_factor_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_transaction_time_factor_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_transaction_time_factor_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_burst_timeout_factor_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_burst_timeout_factor_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_burst_timeout_factor_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_burst_timeout_factor_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_burst_timeout_factor_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_burst_timeout_factor_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_burst_timeout_factor_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_burst_timeout_factor_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_burst_timeout_factor_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_burst_timeout_factor_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_burst_timeout_factor_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_burst_timeout_factor_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_AWVALID_assertion_to_AWREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_AWVALID_assertion_to_AWREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_latency_AWVALID_assertion_to_AWREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_latency_AWVALID_assertion_to_AWREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_latency_AWVALID_assertion_to_AWREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_AWVALID_assertion_to_AWREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_ARVALID_assertion_to_ARREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_ARVALID_assertion_to_ARREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_latency_ARVALID_assertion_to_ARREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_latency_ARVALID_assertion_to_ARREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_latency_ARVALID_assertion_to_ARREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_ARVALID_assertion_to_ARREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_RVALID_assertion_to_RREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_RVALID_assertion_to_RREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_latency_RVALID_assertion_to_RREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_latency_RVALID_assertion_to_RREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_latency_RVALID_assertion_to_RREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_RVALID_assertion_to_RREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_BVALID_assertion_to_BREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_BVALID_assertion_to_BREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_latency_BVALID_assertion_to_BREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_latency_BVALID_assertion_to_BREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_latency_BVALID_assertion_to_BREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_BVALID_assertion_to_BREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_WVALID_assertion_to_WREADY_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_WVALID_assertion_to_WREADY_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_latency_WVALID_assertion_to_WREADY_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_latency_WVALID_assertion_to_WREADY_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_latency_WVALID_assertion_to_WREADY_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_latency_WVALID_assertion_to_WREADY_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_qos_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_qos_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_enable_qos_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_enable_qos_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_enable_qos_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_enable_qos_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_qos_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_qos_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_enable_qos_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_enable_qos_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_enable_qos_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_enable_qos_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_setup_time_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_setup_time_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_setup_time_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned long long A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned long long A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned long long A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_setup_time_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_setup_time_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_setup_time_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_setup_time_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_setup_time_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_setup_time_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned long long *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned long long *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned long long* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_setup_time_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_setup_time_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_setup_time_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_hold_time_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_hold_time_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_hold_time_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned long long A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned long long A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned long long A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_hold_time_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_hold_time_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_hold_time_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_hold_time_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_hold_time_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_hold_time_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned long long *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned long long *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned long long* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_hold_time_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_hold_time_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_hold_time_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_max_outstanding_reads_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_max_outstanding_reads_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_num_max_outstanding_reads_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_num_max_outstanding_reads_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_num_max_outstanding_reads_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_max_outstanding_reads_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_max_outstanding_reads_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_max_outstanding_reads_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_num_max_outstanding_reads_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_num_max_outstanding_reads_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_num_max_outstanding_reads_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_max_outstanding_reads_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_max_outstanding_writes_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_max_outstanding_writes_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_num_max_outstanding_writes_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_num_max_outstanding_writes_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_num_max_outstanding_writes_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_max_outstanding_writes_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_max_outstanding_writes_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_max_outstanding_writes_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_num_max_outstanding_writes_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_num_max_outstanding_writes_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_num_max_outstanding_writes_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_max_outstanding_writes_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_wr_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_wr_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_outstanding_wr_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_outstanding_wr_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_outstanding_wr_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_wr_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_wr_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_wr_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_outstanding_wr_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_outstanding_wr_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_outstanding_wr_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_wr_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_rd_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_rd_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_outstanding_rd_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_outstanding_rd_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_outstanding_rd_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_rd_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_rd_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_rd_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_outstanding_rd_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_outstanding_rd_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_outstanding_rd_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_rd_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_rw_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_rw_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_max_outstanding_rw_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_max_outstanding_rw_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_max_outstanding_rw_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_max_outstanding_rw_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_rw_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_rw_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_max_outstanding_rw_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_max_outstanding_rw_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_max_outstanding_rw_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_max_outstanding_rw_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_outstanding_wr_phase_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_outstanding_wr_phase_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_num_outstanding_wr_phase_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_num_outstanding_wr_phase_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_num_outstanding_wr_phase_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_outstanding_wr_phase_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_outstanding_wr_phase_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_outstanding_wr_phase_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_num_outstanding_wr_phase_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_num_outstanding_wr_phase_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_num_outstanding_wr_phase_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_outstanding_wr_phase_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_outstanding_rd_phase_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_outstanding_rd_phase_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_num_outstanding_rd_phase_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */int A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */int A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_num_outstanding_rd_phase_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_num_outstanding_rd_phase_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_num_outstanding_rd_phase_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_outstanding_rd_phase_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_outstanding_rd_phase_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_num_outstanding_rd_phase_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */int *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */int *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, int* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_num_outstanding_rd_phase_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_num_outstanding_rd_phase_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_num_outstanding_rd_phase_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_is_issuing_from_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_is_issuing_from_SystemVerilog
__attribute__((weak)) void dvc_axi4_set_config_is_issuing_from_SystemVerilog(/* INPUT */long long A_1, /* INPUT */unsigned char A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* INPUT */unsigned char A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char A_2)) dlsym(RTLD_NEXT, "dvc_axi4_set_config_is_issuing_from_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_set_config_is_issuing_from_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_set_config_is_issuing_from_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_is_issuing_into_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_is_issuing_into_SystemVerilog
__attribute__((weak)) void dvc_axi4_get_config_is_issuing_into_SystemVerilog(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */long long A_1, /* OUTPUT */unsigned char *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(long long A_1, unsigned char* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_get_config_is_issuing_into_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_get_config_is_issuing_into_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_get_config_is_issuing_into_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ActivatesActivatingActivate_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ActivatesActivatingActivate_SystemVerilog
__attribute__((weak)) void dvc_axi4_rw_transaction_ActivatesActivatingActivate_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */int *A_15, /* INOUT */int *A_16, /* INOUT */int *A_17, /* INOUT */int *A_18, /* INOUT */int *A_19, /* INOUT */int *A_20, 
/* INOUT */int *A_21, /* INOUT */int *A_22, /* INOUT */int *A_23, /* INPUT */int A_24)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */int *A_15, /* INOUT */int *A_16, /* INOUT */int *A_17, /* INOUT */int *A_18, /* INOUT */int *A_19, /* INOUT */int *A_20, 
/* INOUT */int *A_21, /* INOUT */int *A_22, /* INOUT */int *A_23, /* INPUT */int A_24) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, svBitVecVal* A_12, int* A_13, int* A_14, int* A_15, int* A_16, int* A_17, int* A_18, int* A_19, int* A_20, int* A_21, int* A_22, int* A_23, int A_24)) dlsym(RTLD_NEXT, "dvc_axi4_rw_transaction_ActivatesActivatingActivate_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17, A_18, A_19, A_20, A_21, A_22, A_23, A_24);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_rw_transaction_ActivatesActivatingActivate_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ActivatesActivatingActivate_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ActivatesActivatingActivate_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ActivatesActivatingActivate_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_rw_transaction_ActivatesActivatingActivate_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */int *A_15, /* INOUT */int *A_16, /* INPUT */int A_17)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */int *A_15, /* INOUT */int *A_16, /* INPUT */int A_17) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, svBitVecVal* A_12, int* A_13, int* A_14, int* A_15, int* A_16, int A_17)) dlsym(RTLD_NEXT, "dvc_axi4_rw_transaction_ActivatesActivatingActivate_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_rw_transaction_ActivatesActivatingActivate_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ActivatesActivatingActivate_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_rw_transaction_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INOUT */int *A_9, /* INOUT */int *A_10, 
/* INPUT */int A_11, /* INPUT */unsigned char A_12)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INOUT */int *A_9, /* INOUT */int *A_10, 
/* INPUT */int A_11, /* INPUT */unsigned char A_12) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int* A_4, int* A_5, int* A_6, int* A_7, int* A_8, int* A_9, int* A_10, int A_11, unsigned char A_12)) dlsym(RTLD_NEXT, "dvc_axi4_rw_transaction_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_rw_transaction_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_rw_transaction_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */svBitVecVal *A_12, /* OUTPUT */int *A_13, /* OUTPUT */int *A_14, /* OUTPUT */int *A_15, /* OUTPUT */int *A_16, /* INPUT */int A_17, /* INPUT */unsigned char A_18)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */svBitVecVal *A_12, /* OUTPUT */int *A_13, /* OUTPUT */int *A_14, /* OUTPUT */int *A_15, /* OUTPUT */int *A_16, /* INPUT */int A_17, /* INPUT */unsigned char A_18) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, svBitVecVal* A_12, int* A_13, int* A_14, int* A_15, int* A_16, int A_17, unsigned char A_18)) dlsym(RTLD_NEXT, "dvc_axi4_rw_transaction_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17, A_18);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_rw_transaction_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_rw_transaction_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ActivatesActivatingActivate_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ActivatesActivatingActivate_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_ActivatesActivatingActivate_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */int *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */long long *A_15, /* INOUT */long long *A_16, /* INOUT */int *A_17, /* INOUT */int *A_18, /* INOUT */int *A_19, /* INPUT */int A_20
)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */int *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */long long *A_15, /* INOUT */long long *A_16, /* INOUT */int *A_17, /* INOUT */int *A_18, /* INOUT */int *A_19, /* INPUT */int A_20
) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, int* A_12, int* A_13, int* A_14, long long* A_15, long long* A_16, int* A_17, int* A_18, int* A_19, int A_20)) dlsym(RTLD_NEXT, "dvc_axi4_read_ActivatesActivatingActivate_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17, A_18, A_19, A_20);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_ActivatesActivatingActivate_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ActivatesActivatingActivate_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ActivatesActivatingActivate_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ActivatesActivatingActivate_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_ActivatesActivatingActivate_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */long long *A_12, /* INOUT */long long *A_13, /* INOUT */int *A_14, /* INPUT */int A_15)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */svBitVecVal *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */long long *A_12, /* INOUT */long long *A_13, /* INOUT */int *A_14, /* INPUT */int A_15) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, long long* A_12, long long* A_13, int* A_14, int A_15)) dlsym(RTLD_NEXT, "dvc_axi4_read_ActivatesActivatingActivate_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_ActivatesActivatingActivate_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ActivatesActivatingActivate_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INPUT */int A_9, /* INPUT */unsigned char A_10
)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INPUT */int A_9, /* INPUT */unsigned char A_10
) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int* A_4, int* A_5, int* A_6, int* A_7, int* A_8, int A_9, unsigned char A_10)) dlsym(RTLD_NEXT, "dvc_axi4_read_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */long long *A_12, /* OUTPUT */long long *A_13, /* OUTPUT */int *A_14, /* INPUT */int A_15, /* INPUT */unsigned char A_16)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */long long *A_12, /* OUTPUT */long long *A_13, /* OUTPUT */int *A_14, /* INPUT */int A_15, /* INPUT */unsigned char A_16) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, long long* A_12, long long* A_13, int* A_14, int A_15, unsigned char A_16)) dlsym(RTLD_NEXT, "dvc_axi4_read_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ActivatesActivatingActivate_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ActivatesActivatingActivate_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_ActivatesActivatingActivate_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */int *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */int *A_15, /* INOUT */svBitVecVal *A_16, /* INOUT */long long *A_17, /* INOUT */long long *A_18, /* INOUT */int *A_19, /* INOUT */int *A_20, 
/* INOUT */long long *A_21, /* INOUT */long long *A_22, /* INOUT */int *A_23, /* INPUT */int A_24)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */int *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */int *A_13, /* INOUT */int *A_14, /* INOUT */int *A_15, /* INOUT */svBitVecVal *A_16, /* INOUT */long long *A_17, /* INOUT */long long *A_18, /* INOUT */int *A_19, /* INOUT */int *A_20, 
/* INOUT */long long *A_21, /* INOUT */long long *A_22, /* INOUT */int *A_23, /* INPUT */int A_24) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, svBitVecVal* A_4, int* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, svBitVecVal* A_12, int* A_13, int* A_14, int* A_15, svBitVecVal* A_16, long long* A_17, long long* A_18, int* A_19, int* A_20, long long* A_21, long long* A_22, int* A_23, int A_24)) dlsym(RTLD_NEXT, "dvc_axi4_write_ActivatesActivatingActivate_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17, A_18, A_19, A_20, A_21, A_22, A_23, A_24);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_ActivatesActivatingActivate_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ActivatesActivatingActivate_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ActivatesActivatingActivate_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ActivatesActivatingActivate_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_ActivatesActivatingActivate_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */int *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */svBitVecVal *A_13, /* INOUT */long long *A_14, /* INOUT */long long *A_15, /* INOUT */long long *A_16, /* INOUT */long long *A_17, /* INOUT */int *A_18, /* INPUT */int A_19)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INOUT */svBitVecVal *A_4, /* INOUT */int *A_5, /* INOUT */svBitVecVal *A_6, /* INOUT */svBitVecVal *A_7, /* INOUT */svBitVecVal *A_8, /* INOUT */svBitVecVal *A_9, /* INOUT */svBitVecVal *A_10, 
/* INOUT */svBitVecVal *A_11, /* INOUT */svBitVecVal *A_12, /* INOUT */svBitVecVal *A_13, /* INOUT */long long *A_14, /* INOUT */long long *A_15, /* INOUT */long long *A_16, /* INOUT */long long *A_17, /* INOUT */int *A_18, /* INPUT */int A_19) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, int* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, svBitVecVal* A_12, svBitVecVal* A_13, long long* A_14, long long* A_15, long long* A_16, long long* A_17, int* A_18, int A_19)) dlsym(RTLD_NEXT, "dvc_axi4_write_ActivatesActivatingActivate_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17, A_18, A_19);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_ActivatesActivatingActivate_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ActivatesActivatingActivate_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INPUT */int A_9, /* INPUT */unsigned char A_10
)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INPUT */int A_9, /* INPUT */unsigned char A_10
) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int* A_4, int* A_5, int* A_6, int* A_7, int* A_8, int A_9, unsigned char A_10)) dlsym(RTLD_NEXT, "dvc_axi4_write_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */int *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */svBitVecVal *A_12, /* OUTPUT */svBitVecVal *A_13, /* OUTPUT */long long *A_14, /* OUTPUT */long long *A_15, /* OUTPUT */long long *A_16, /* OUTPUT */long long *A_17, /* OUTPUT */int *A_18, /* INPUT */int A_19, /* INPUT */unsigned char A_20
)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */int *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */svBitVecVal *A_12, /* OUTPUT */svBitVecVal *A_13, /* OUTPUT */long long *A_14, /* OUTPUT */long long *A_15, /* OUTPUT */long long *A_16, /* OUTPUT */long long *A_17, /* OUTPUT */int *A_18, /* INPUT */int A_19, /* INPUT */unsigned char A_20
) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, int* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, svBitVecVal* A_12, svBitVecVal* A_13, long long* A_14, long long* A_15, long long* A_16, long long* A_17, int* A_18, int A_19, unsigned char A_20)) dlsym(RTLD_NEXT, "dvc_axi4_write_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15, A_16, A_17, A_18, A_19, A_20);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_data_burst_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INPUT */int A_4, /* INPUT */int A_5, /* INPUT */int A_6, /* INPUT */int A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10, 
/* INPUT */int A_11, /* INPUT */int A_12)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INPUT */int A_4, /* INPUT */int A_5, /* INPUT */int A_6, /* INPUT */int A_7, /* INPUT */int A_8, /* INPUT */int A_9, /* INPUT */int A_10, 
/* INPUT */int A_11, /* INPUT */int A_12) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, int A_4, int A_5, int A_6, int A_7, int A_8, int A_9, int A_10, int A_11, int A_12)) dlsym(RTLD_NEXT, "dvc_axi4_write_data_burst_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_data_burst_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_data_burst_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INOUT */int *A_9, /* INOUT */int *A_10, 
/* INPUT */int A_11, /* INPUT */unsigned char A_12)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INOUT */int *A_4, /* INOUT */int *A_5, /* INOUT */int *A_6, /* INOUT */int *A_7, /* INOUT */int *A_8, /* INOUT */int *A_9, /* INOUT */int *A_10, 
/* INPUT */int A_11, /* INPUT */unsigned char A_12) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int* A_4, int* A_5, int* A_6, int* A_7, int* A_8, int* A_9, int* A_10, int A_11, unsigned char A_12)) dlsym(RTLD_NEXT, "dvc_axi4_write_data_burst_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_data_burst_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_data_burst_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */int *A_4, /* OUTPUT */int *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */int *A_4, /* OUTPUT */int *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, int* A_4, int* A_5, int A_6, unsigned char A_7)) dlsym(RTLD_NEXT, "dvc_axi4_write_data_burst_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_data_burst_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_data_burst_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_phase_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11, /* INPUT */int A_12, /* INPUT */int A_13)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11, /* INPUT */int A_12, /* INPUT */int A_13) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, const svBitVecVal* A_4, const svBitVecVal* A_5, const svBitVecVal* A_6, const svBitVecVal* A_7, const svBitVecVal* A_8, const svBitVecVal* A_9, const svBitVecVal* A_10, int A_11, int A_12, int A_13)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_phase_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_phase_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */int *A_12, /* OUTPUT */int *A_13, /* INPUT */int A_14, /* INPUT */unsigned char A_15)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */int *A_12, /* OUTPUT */int *A_13, /* INPUT */int A_14, /* INPUT */unsigned char A_15) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, int* A_12, int* A_13, int A_14, unsigned char A_15)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_data_burst_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_data_burst_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_data_burst_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3)) dlsym(RTLD_NEXT, "dvc_axi4_read_data_burst_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_data_burst_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_data_burst_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_data_burst_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_data_burst_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_data_burst_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INPUT */unsigned char A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* INPUT */unsigned char A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, unsigned char A_4)) dlsym(RTLD_NEXT, "dvc_axi4_read_data_burst_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_data_burst_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_data_burst_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_phase_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */unsigned char A_4, /* INPUT */int A_5, /* INPUT */int A_6)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */unsigned char A_4, /* INPUT */int A_5, /* INPUT */int A_6) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, unsigned char A_4, int A_5, int A_6)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_phase_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_phase_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_phase_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_phase_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_phase_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_phase_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */unsigned char *A_5, /* OUTPUT */int *A_6, /* INPUT */int A_7, /* INPUT */unsigned char A_8)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */unsigned char *A_5, /* OUTPUT */int *A_6, /* INPUT */int A_7, /* INPUT */unsigned char A_8) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, unsigned char* A_5, int* A_6, int A_7, unsigned char A_8)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_phase_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_phase_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11, /* INPUT */int A_12, /* INPUT */int A_13)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11, /* INPUT */int A_12, /* INPUT */int A_13) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, const svBitVecVal* A_4, const svBitVecVal* A_5, const svBitVecVal* A_6, const svBitVecVal* A_7, const svBitVecVal* A_8, const svBitVecVal* A_9, const svBitVecVal* A_10, int A_11, int A_12, int A_13)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_phase_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_phase_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */int *A_12, /* OUTPUT */int *A_13, /* INPUT */int A_14, /* INPUT */unsigned char A_15)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* OUTPUT */int *A_12, /* OUTPUT */int *A_13, /* INPUT */int A_14, /* INPUT */unsigned char A_15) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, int* A_12, int* A_13, int A_14, unsigned char A_15)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13, A_14, A_15);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_phase_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_phase_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4, /* INPUT */int A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4, /* INPUT */int A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4, int A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_phase_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_phase_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_phase_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_phase_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_phase_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_phase_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */unsigned char *A_4, /* OUTPUT */int *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */unsigned char *A_4, /* OUTPUT */int *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, unsigned char* A_4, int* A_5, int A_6, unsigned char A_7)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_phase_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_phase_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */int A_4, /* INPUT */int A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */int A_4, /* INPUT */int A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, int A_4, int A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_phase_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_phase_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */int *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */int *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, int* A_5, int A_6, unsigned char A_7)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_phase_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_cycle_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, const svBitVecVal* A_4, const svBitVecVal* A_5, const svBitVecVal* A_6, const svBitVecVal* A_7, const svBitVecVal* A_8, const svBitVecVal* A_9, const svBitVecVal* A_10, int A_11)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_cycle_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_cycle_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* INPUT */int A_12, /* INPUT */unsigned char A_13)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* INPUT */int A_12, /* INPUT */unsigned char A_13) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, int A_12, unsigned char A_13)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_ready_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_ready_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_ready_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_ready_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_ready_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_ready_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_cycle_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */unsigned char A_4, /* INPUT */int A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */unsigned char A_4, /* INPUT */int A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, unsigned char A_4, int A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_cycle_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_cycle_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */unsigned char *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */unsigned char *A_5, /* INPUT */int A_6, /* INPUT */unsigned char A_7) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, unsigned char* A_5, int A_6, unsigned char A_7)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_ready_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_ready_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_ready_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_ready_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_ready_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_ready_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_ready_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_ready_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_read_channel_ready_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_read_channel_ready_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_read_channel_ready_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_read_channel_ready_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_cycle_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, const /* INPUT */svBitVecVal *A_4, const /* INPUT */svBitVecVal *A_5, const /* INPUT */svBitVecVal *A_6, const /* INPUT */svBitVecVal *A_7, const /* INPUT */svBitVecVal *A_8, const /* INPUT */svBitVecVal *A_9, const /* INPUT */svBitVecVal *A_10, 
/* INPUT */int A_11) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, const svBitVecVal* A_4, const svBitVecVal* A_5, const svBitVecVal* A_6, const svBitVecVal* A_7, const svBitVecVal* A_8, const svBitVecVal* A_9, const svBitVecVal* A_10, int A_11)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_cycle_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_cycle_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* INPUT */int A_12, /* INPUT */unsigned char A_13)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* OUTPUT */svBitVecVal *A_5, /* OUTPUT */svBitVecVal *A_6, /* OUTPUT */svBitVecVal *A_7, /* OUTPUT */svBitVecVal *A_8, /* OUTPUT */svBitVecVal *A_9, /* OUTPUT */svBitVecVal *A_10, 
/* OUTPUT */svBitVecVal *A_11, /* INPUT */int A_12, /* INPUT */unsigned char A_13) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, svBitVecVal* A_5, svBitVecVal* A_6, svBitVecVal* A_7, svBitVecVal* A_8, svBitVecVal* A_9, svBitVecVal* A_10, svBitVecVal* A_11, int A_12, unsigned char A_13)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6, A_7, A_8, A_9, A_10, A_11, A_12, A_13);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_ready_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_ready_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_ready_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_ready_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_ready_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_ready_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_addr_channel_ready_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_cycle_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_cycle_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_cycle_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */unsigned char *A_4, /* INPUT */int A_5, /* INPUT */unsigned char A_6)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */unsigned char *A_4, /* INPUT */int A_5, /* INPUT */unsigned char A_6) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, unsigned char* A_4, int A_5, unsigned char A_6)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_ready_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_ready_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_ready_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_ready_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_ready_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_ready_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_ready_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_ready_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_channel_ready_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_channel_ready_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_channel_ready_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_channel_ready_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_cycle_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, const /* INPUT */svBitVecVal *A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, const svBitVecVal* A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_cycle_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_cycle_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */int *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* INPUT */int A_5, /* INPUT */unsigned char A_6)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */int A_3, /* OUTPUT */svBitVecVal *A_4, /* INPUT */int A_5, /* INPUT */unsigned char A_6) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, int A_3, svBitVecVal* A_4, int A_5, unsigned char A_6)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5, A_6);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_cycle_ReceivedReceivingReceive_open_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_ready_SendSendingSent_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_ready_SendSendingSent_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_ready_SendSendingSent_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* INPUT */unsigned char A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_ready_SendSendingSent_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_ready_SendSendingSent_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_ready_SendSendingSent_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_ready_ReceivedReceivingReceive_SystemVerilog
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_ready_ReceivedReceivingReceive_SystemVerilog
__attribute__((weak)) void dvc_axi4_write_resp_channel_ready_ReceivedReceivingReceive_SystemVerilog(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */int A_1, /* INPUT */long long A_2, /* OUTPUT */unsigned char *A_3, /* INPUT */int A_4, /* INPUT */unsigned char A_5) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(int A_1, long long A_2, unsigned char* A_3, int A_4, unsigned char A_5)) dlsym(RTLD_NEXT, "dvc_axi4_write_resp_channel_ready_ReceivedReceivingReceive_SystemVerilog");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4, A_5);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_write_resp_channel_ready_ReceivedReceivingReceive_SystemVerilog");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_write_resp_channel_ready_ReceivedReceivingReceive_SystemVerilog */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_get_raddr_phase_info
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_get_raddr_phase_info
__attribute__((weak)) void dvc_axi4_fn_get_raddr_phase_info(/* INOUT */unsigned char *A_1, const /* INPUT */svBitVecVal *A_2, /* OUTPUT */int *A_3)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INOUT */unsigned char *A_1, const /* INPUT */svBitVecVal *A_2, /* OUTPUT */int *A_3) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned char* A_1, const svBitVecVal* A_2, int* A_3)) dlsym(RTLD_NEXT, "dvc_axi4_fn_get_raddr_phase_info");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_get_raddr_phase_info");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_get_raddr_phase_info */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_get_waddr_phase_info
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_get_waddr_phase_info
__attribute__((weak)) void dvc_axi4_fn_get_waddr_phase_info(/* INOUT */unsigned char *A_1, const /* INPUT */svBitVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INOUT */unsigned char *A_1, const /* INPUT */svBitVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned char* A_1, const svBitVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_fn_get_waddr_phase_info");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_get_waddr_phase_info");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_get_waddr_phase_info */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_add_addr_map_entry
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_add_addr_map_entry
__attribute__((weak)) void dvc_axi4_fn_add_addr_map_entry(/* INPUT */const char* A_1, /* INPUT */unsigned long long A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */const char* A_1, /* INPUT */unsigned long long A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(const char* A_1, unsigned long long A_2)) dlsym(RTLD_NEXT, "dvc_axi4_fn_add_addr_map_entry");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_add_addr_map_entry");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_add_addr_map_entry */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_add_wr_delay
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_add_wr_delay
__attribute__((weak)) void dvc_axi4_fn_add_wr_delay(/* INPUT */const char* A_1, const /* INPUT */svBitVecVal *A_2, /* INPUT */unsigned int A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */const char* A_1, const /* INPUT */svBitVecVal *A_2, /* INPUT */unsigned int A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(const char* A_1, const svBitVecVal* A_2, unsigned int A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_fn_add_wr_delay");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_add_wr_delay");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_add_wr_delay */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_delete_wr_delay
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_delete_wr_delay
__attribute__((weak)) void dvc_axi4_fn_delete_wr_delay(/* INPUT */const char* A_1, const /* INPUT */svBitVecVal *A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */const char* A_1, const /* INPUT */svBitVecVal *A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(const char* A_1, const svBitVecVal* A_2)) dlsym(RTLD_NEXT, "dvc_axi4_fn_delete_wr_delay");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_delete_wr_delay");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_delete_wr_delay */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_drive_signals
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_drive_signals
__attribute__((weak)) void dvc_axi4_fn_drive_signals(/* INPUT */const char* A_1, /* INPUT */long long A_2)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */const char* A_1, /* INPUT */long long A_2) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(const char* A_1, long long A_2)) dlsym(RTLD_NEXT, "dvc_axi4_fn_drive_signals");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_drive_signals");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_drive_signals */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_set_address_map_entry
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_set_address_map_entry
__attribute__((weak)) void dvc_axi4_fn_set_address_map_entry()
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)() = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)()) dlsym(RTLD_NEXT, "dvc_axi4_fn_set_address_map_entry");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_();
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_set_address_map_entry");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_set_address_map_entry */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_set_wr_def_delays
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_set_wr_def_delays
__attribute__((weak)) void dvc_axi4_fn_set_wr_def_delays(/* INPUT */unsigned int A_1, /* INPUT */int A_2, /* INPUT */unsigned int A_3, /* INPUT */int A_4)
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)(/* INPUT */unsigned int A_1, /* INPUT */int A_2, /* INPUT */unsigned int A_3, /* INPUT */int A_4) = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)(unsigned int A_1, int A_2, unsigned int A_3, int A_4)) dlsym(RTLD_NEXT, "dvc_axi4_fn_set_wr_def_delays");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_(A_1, A_2, A_3, A_4);
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_set_wr_def_delays");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_set_wr_def_delays */

#ifndef __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_print_perf_stats
#define __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_print_perf_stats
__attribute__((weak)) void dvc_axi4_fn_print_perf_stats()
{
    static int _vcs_dpi_stub_initialized_ = 0;
    static void (*_vcs_dpi_fp_)() = NULL;
    if (!_vcs_dpi_stub_initialized_) {
        _vcs_dpi_fp_ = (void (*)()) dlsym(RTLD_NEXT, "dvc_axi4_fn_print_perf_stats");
        _vcs_dpi_stub_initialized_ = 1;
    }
    if (_vcs_dpi_fp_) {
        _vcs_dpi_fp_();
    } else {
        const char *fileName;
        int lineNumber;
        svGetCallerInfo(&fileName, &lineNumber);
        vcsMsgReport1("DPI-DIFNF", fileName, lineNumber, 0, 0, "dvc_axi4_fn_print_perf_stats");
    }
}
#endif /* __VCS_IMPORT_DPI_STUB_dvc_axi4_fn_print_perf_stats */

#ifndef __VCS_EXPORT_DPI_DUMMY_REFERENCES__
#define __VCS_EXPORT_DPI_DUMMY_REFERENCES__
/* Dummy references to those export DPI routines.
 * The symbols will be then exported, so the
 * import DPI routines in another shared
 * libraries can call.
 */
void __vcs_export_dpi_dummy_references__();
void __vcs_export_dpi_dummy_references__()
{
    extern void dvc_axi4_process_reports(void);
    void (*fp0)(void) = (void (*)(void)) dvc_axi4_process_reports;
    fp0 = fp0;
    extern void dvc_axi4_get_temp_static_fn_get_raddr_phase_info_addr(void);
    void (*fp1)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_get_raddr_phase_info_addr;
    fp1 = fp1;
    extern void dvc_axi4_set_temp_static_fn_get_raddr_phase_info_addr(void);
    void (*fp2)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_get_raddr_phase_info_addr;
    fp2 = fp2;
    extern void dvc_axi4_get_temp_static_fn_get_waddr_phase_info_addr(void);
    void (*fp3)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_get_waddr_phase_info_addr;
    fp3 = fp3;
    extern void dvc_axi4_set_temp_static_fn_get_waddr_phase_info_addr(void);
    void (*fp4)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_get_waddr_phase_info_addr;
    fp4 = fp4;
    extern void dvc_axi4_get_temp_static_fn_add_addr_map_entry_addr(void);
    void (*fp5)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_add_addr_map_entry_addr;
    fp5 = fp5;
    extern void dvc_axi4_set_temp_static_fn_add_addr_map_entry_addr(void);
    void (*fp6)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_add_addr_map_entry_addr;
    fp6 = fp6;
    extern void dvc_axi4_get_temp_static_fn_add_wr_delay_data2data(void);
    void (*fp7)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_add_wr_delay_data2data;
    fp7 = fp7;
    extern void dvc_axi4_set_temp_static_fn_add_wr_delay_data2data(void);
    void (*fp8)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_add_wr_delay_data2data;
    fp8 = fp8;
    extern void dvc_axi4_get_temp_static_fn_set_address_map_entry_start_addr(void);
    void (*fp9)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_set_address_map_entry_start_addr;
    fp9 = fp9;
    extern void dvc_axi4_set_temp_static_fn_set_address_map_entry_start_addr(void);
    void (*fp10)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_set_address_map_entry_start_addr;
    fp10 = fp10;
    extern void dvc_axi4_get_temp_static_fn_set_address_map_entry_end_addr(void);
    void (*fp11)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_set_address_map_entry_end_addr;
    fp11 = fp11;
    extern void dvc_axi4_set_temp_static_fn_set_address_map_entry_end_addr(void);
    void (*fp12)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_set_address_map_entry_end_addr;
    fp12 = fp12;
    extern void dvc_axi4_get_temp_static_fn_set_wr_def_delays_min_data2data(void);
    void (*fp13)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_set_wr_def_delays_min_data2data;
    fp13 = fp13;
    extern void dvc_axi4_set_temp_static_fn_set_wr_def_delays_min_data2data(void);
    void (*fp14)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_set_wr_def_delays_min_data2data;
    fp14 = fp14;
    extern void dvc_axi4_get_temp_static_fn_set_wr_def_delays_max_data2data(void);
    void (*fp15)(void) = (void (*)(void)) dvc_axi4_get_temp_static_fn_set_wr_def_delays_max_data2data;
    fp15 = fp15;
    extern void dvc_axi4_set_temp_static_fn_set_wr_def_delays_max_data2data(void);
    void (*fp16)(void) = (void (*)(void)) dvc_axi4_set_temp_static_fn_set_wr_def_delays_max_data2data;
    fp16 = fp16;
    extern void dvc_axi4_set_start_end_times(void);
    void (*fp17)(void) = (void (*)(void)) dvc_axi4_set_start_end_times;
    fp17 = fp17;
    extern void dvc_axi4_get_temp_static_rw_transaction_addr(void);
    void (*fp18)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_addr;
    fp18 = fp18;
    extern void dvc_axi4_set_temp_static_rw_transaction_addr(void);
    void (*fp19)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_addr;
    fp19 = fp19;
    extern void dvc_axi4_get_temp_static_rw_transaction_id(void);
    void (*fp20)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_id;
    fp20 = fp20;
    extern void dvc_axi4_set_temp_static_rw_transaction_id(void);
    void (*fp21)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_id;
    fp21 = fp21;
    extern void dvc_axi4_get_temp_static_rw_transaction_addr_user_data(void);
    void (*fp22)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_addr_user_data;
    fp22 = fp22;
    extern void dvc_axi4_set_temp_static_rw_transaction_addr_user_data(void);
    void (*fp23)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_addr_user_data;
    fp23 = fp23;
    extern void dvc_axi4_get_temp_static_rw_transaction_data_words(void);
    void (*fp24)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_data_words;
    fp24 = fp24;
    extern void dvc_axi4_set_temp_static_rw_transaction_data_words(void);
    void (*fp25)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_data_words;
    fp25 = fp25;
    extern void dvc_axi4_get_temp_static_rw_transaction_write_strobes(void);
    void (*fp26)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_write_strobes;
    fp26 = fp26;
    extern void dvc_axi4_set_temp_static_rw_transaction_write_strobes(void);
    void (*fp27)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_write_strobes;
    fp27 = fp27;
    extern void dvc_axi4_get_temp_static_rw_transaction_wdata_user_data(void);
    void (*fp28)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_wdata_user_data;
    fp28 = fp28;
    extern void dvc_axi4_set_temp_static_rw_transaction_wdata_user_data(void);
    void (*fp29)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_wdata_user_data;
    fp29 = fp29;
    extern void dvc_axi4_get_temp_static_rw_transaction_resp(void);
    void (*fp30)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_resp;
    fp30 = fp30;
    extern void dvc_axi4_set_temp_static_rw_transaction_resp(void);
    void (*fp31)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_resp;
    fp31 = fp31;
    extern void dvc_axi4_get_temp_static_rw_transaction_resp_user_data(void);
    void (*fp32)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_resp_user_data;
    fp32 = fp32;
    extern void dvc_axi4_set_temp_static_rw_transaction_resp_user_data(void);
    void (*fp33)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_resp_user_data;
    fp33 = fp33;
    extern void dvc_axi4_get_temp_static_rw_transaction_data_valid_delay(void);
    void (*fp34)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_data_valid_delay;
    fp34 = fp34;
    extern void dvc_axi4_set_temp_static_rw_transaction_data_valid_delay(void);
    void (*fp35)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_data_valid_delay;
    fp35 = fp35;
    extern void dvc_axi4_get_temp_static_rw_transaction_data_ready_delay(void);
    void (*fp36)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_data_ready_delay;
    fp36 = fp36;
    extern void dvc_axi4_set_temp_static_rw_transaction_data_ready_delay(void);
    void (*fp37)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_data_ready_delay;
    fp37 = fp37;
    extern void dvc_axi4_get_temp_static_rw_transaction_write_data_beats_delay(void);
    void (*fp38)(void) = (void (*)(void)) dvc_axi4_get_temp_static_rw_transaction_write_data_beats_delay;
    fp38 = fp38;
    extern void dvc_axi4_set_temp_static_rw_transaction_write_data_beats_delay(void);
    void (*fp39)(void) = (void (*)(void)) dvc_axi4_set_temp_static_rw_transaction_write_data_beats_delay;
    fp39 = fp39;
    extern void dvc_axi4_get_temp_static_read_addr(void);
    void (*fp40)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr;
    fp40 = fp40;
    extern void dvc_axi4_set_temp_static_read_addr(void);
    void (*fp41)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr;
    fp41 = fp41;
    extern void dvc_axi4_get_temp_static_read_rresp_delays(void);
    void (*fp42)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_rresp_delays;
    fp42 = fp42;
    extern void dvc_axi4_set_temp_static_read_rresp_delays(void);
    void (*fp43)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_rresp_delays;
    fp43 = fp43;
    extern void dvc_axi4_get_temp_static_read_id(void);
    void (*fp44)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_id;
    fp44 = fp44;
    extern void dvc_axi4_set_temp_static_read_id(void);
    void (*fp45)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_id;
    fp45 = fp45;
    extern void dvc_axi4_get_temp_static_read_addr_user_data(void);
    void (*fp46)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_user_data;
    fp46 = fp46;
    extern void dvc_axi4_set_temp_static_read_addr_user_data(void);
    void (*fp47)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_user_data;
    fp47 = fp47;
    extern void dvc_axi4_get_temp_static_read_data_words(void);
    void (*fp48)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_data_words;
    fp48 = fp48;
    extern void dvc_axi4_set_temp_static_read_data_words(void);
    void (*fp49)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_data_words;
    fp49 = fp49;
    extern void dvc_axi4_get_temp_static_read_resp(void);
    void (*fp50)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_resp;
    fp50 = fp50;
    extern void dvc_axi4_set_temp_static_read_resp(void);
    void (*fp51)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_resp;
    fp51 = fp51;
    extern void dvc_axi4_get_temp_static_read_resp_user_data(void);
    void (*fp52)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_resp_user_data;
    fp52 = fp52;
    extern void dvc_axi4_set_temp_static_read_resp_user_data(void);
    void (*fp53)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_resp_user_data;
    fp53 = fp53;
    extern void dvc_axi4_get_temp_static_read_data_start_time(void);
    void (*fp54)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_data_start_time;
    fp54 = fp54;
    extern void dvc_axi4_set_temp_static_read_data_start_time(void);
    void (*fp55)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_data_start_time;
    fp55 = fp55;
    extern void dvc_axi4_get_temp_static_read_data_end_time(void);
    void (*fp56)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_data_end_time;
    fp56 = fp56;
    extern void dvc_axi4_set_temp_static_read_data_end_time(void);
    void (*fp57)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_data_end_time;
    fp57 = fp57;
    extern void dvc_axi4_get_temp_static_write_addr(void);
    void (*fp58)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr;
    fp58 = fp58;
    extern void dvc_axi4_set_temp_static_write_addr(void);
    void (*fp59)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr;
    fp59 = fp59;
    extern void dvc_axi4_get_temp_static_write_id(void);
    void (*fp60)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_id;
    fp60 = fp60;
    extern void dvc_axi4_set_temp_static_write_id(void);
    void (*fp61)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_id;
    fp61 = fp61;
    extern void dvc_axi4_get_temp_static_write_addr_user_data(void);
    void (*fp62)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_user_data;
    fp62 = fp62;
    extern void dvc_axi4_set_temp_static_write_addr_user_data(void);
    void (*fp63)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_user_data;
    fp63 = fp63;
    extern void dvc_axi4_get_temp_static_write_data_words(void);
    void (*fp64)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_words;
    fp64 = fp64;
    extern void dvc_axi4_set_temp_static_write_data_words(void);
    void (*fp65)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_words;
    fp65 = fp65;
    extern void dvc_axi4_get_temp_static_write_write_strobes(void);
    void (*fp66)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_write_strobes;
    fp66 = fp66;
    extern void dvc_axi4_set_temp_static_write_write_strobes(void);
    void (*fp67)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_write_strobes;
    fp67 = fp67;
    extern void dvc_axi4_get_temp_static_write_wdata_user_data(void);
    void (*fp68)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_wdata_user_data;
    fp68 = fp68;
    extern void dvc_axi4_set_temp_static_write_wdata_user_data(void);
    void (*fp69)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_wdata_user_data;
    fp69 = fp69;
    extern void dvc_axi4_get_temp_static_write_resp_user_data(void);
    void (*fp70)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_resp_user_data;
    fp70 = fp70;
    extern void dvc_axi4_set_temp_static_write_resp_user_data(void);
    void (*fp71)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_resp_user_data;
    fp71 = fp71;
    extern void dvc_axi4_get_temp_static_write_data_start_time(void);
    void (*fp72)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_start_time;
    fp72 = fp72;
    extern void dvc_axi4_set_temp_static_write_data_start_time(void);
    void (*fp73)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_start_time;
    fp73 = fp73;
    extern void dvc_axi4_get_temp_static_write_data_end_time(void);
    void (*fp74)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_end_time;
    fp74 = fp74;
    extern void dvc_axi4_set_temp_static_write_data_end_time(void);
    void (*fp75)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_end_time;
    fp75 = fp75;
    extern void dvc_axi4_get_temp_static_write_write_data_beats_delay(void);
    void (*fp76)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_write_data_beats_delay;
    fp76 = fp76;
    extern void dvc_axi4_set_temp_static_write_write_data_beats_delay(void);
    void (*fp77)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_write_data_beats_delay;
    fp77 = fp77;
    extern void dvc_axi4_get_temp_static_write_data_burst_data_words(void);
    void (*fp78)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_data_words;
    fp78 = fp78;
    extern void dvc_axi4_set_temp_static_write_data_burst_data_words(void);
    void (*fp79)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_data_words;
    fp79 = fp79;
    extern void dvc_axi4_get_temp_static_write_data_burst_write_strobes(void);
    void (*fp80)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_write_strobes;
    fp80 = fp80;
    extern void dvc_axi4_set_temp_static_write_data_burst_write_strobes(void);
    void (*fp81)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_write_strobes;
    fp81 = fp81;
    extern void dvc_axi4_get_temp_static_write_data_burst_user_data(void);
    void (*fp82)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_user_data;
    fp82 = fp82;
    extern void dvc_axi4_set_temp_static_write_data_burst_user_data(void);
    void (*fp83)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_user_data;
    fp83 = fp83;
    extern void dvc_axi4_get_temp_static_write_data_burst_data_start_time(void);
    void (*fp84)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_data_start_time;
    fp84 = fp84;
    extern void dvc_axi4_set_temp_static_write_data_burst_data_start_time(void);
    void (*fp85)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_data_start_time;
    fp85 = fp85;
    extern void dvc_axi4_get_temp_static_write_data_burst_data_end_time(void);
    void (*fp86)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_data_end_time;
    fp86 = fp86;
    extern void dvc_axi4_set_temp_static_write_data_burst_data_end_time(void);
    void (*fp87)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_data_end_time;
    fp87 = fp87;
    extern void dvc_axi4_get_temp_static_write_data_burst_write_data_beats_delay(void);
    void (*fp88)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_write_data_beats_delay;
    fp88 = fp88;
    extern void dvc_axi4_set_temp_static_write_data_burst_write_data_beats_delay(void);
    void (*fp89)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_write_data_beats_delay;
    fp89 = fp89;
    extern void dvc_axi4_get_temp_static_write_data_burst_data_valid2ready(void);
    void (*fp90)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_data_valid2ready;
    fp90 = fp90;
    extern void dvc_axi4_set_temp_static_write_data_burst_data_valid2ready(void);
    void (*fp91)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_data_valid2ready;
    fp91 = fp91;
    extern void dvc_axi4_get_temp_static_write_data_burst_data2data_clock(void);
    void (*fp92)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_data_burst_data2data_clock;
    fp92 = fp92;
    extern void dvc_axi4_set_temp_static_write_data_burst_data2data_clock(void);
    void (*fp93)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_data_burst_data2data_clock;
    fp93 = fp93;
    extern void dvc_axi4_get_temp_static_read_addr_channel_phase_addr(void);
    void (*fp94)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_channel_phase_addr;
    fp94 = fp94;
    extern void dvc_axi4_set_temp_static_read_addr_channel_phase_addr(void);
    void (*fp95)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_channel_phase_addr;
    fp95 = fp95;
    extern void dvc_axi4_get_temp_static_read_addr_channel_phase_id(void);
    void (*fp96)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_channel_phase_id;
    fp96 = fp96;
    extern void dvc_axi4_set_temp_static_read_addr_channel_phase_id(void);
    void (*fp97)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_channel_phase_id;
    fp97 = fp97;
    extern void dvc_axi4_get_temp_static_read_addr_channel_phase_addr_user(void);
    void (*fp98)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_channel_phase_addr_user;
    fp98 = fp98;
    extern void dvc_axi4_set_temp_static_read_addr_channel_phase_addr_user(void);
    void (*fp99)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_channel_phase_addr_user;
    fp99 = fp99;
    extern void dvc_axi4_get_temp_static_read_channel_phase_data(void);
    void (*fp100)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_channel_phase_data;
    fp100 = fp100;
    extern void dvc_axi4_set_temp_static_read_channel_phase_data(void);
    void (*fp101)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_channel_phase_data;
    fp101 = fp101;
    extern void dvc_axi4_get_temp_static_read_channel_phase_id(void);
    void (*fp102)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_channel_phase_id;
    fp102 = fp102;
    extern void dvc_axi4_set_temp_static_read_channel_phase_id(void);
    void (*fp103)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_channel_phase_id;
    fp103 = fp103;
    extern void dvc_axi4_get_temp_static_read_channel_phase_user_data(void);
    void (*fp104)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_channel_phase_user_data;
    fp104 = fp104;
    extern void dvc_axi4_set_temp_static_read_channel_phase_user_data(void);
    void (*fp105)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_channel_phase_user_data;
    fp105 = fp105;
    extern void dvc_axi4_get_temp_static_write_addr_channel_phase_addr(void);
    void (*fp106)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_channel_phase_addr;
    fp106 = fp106;
    extern void dvc_axi4_set_temp_static_write_addr_channel_phase_addr(void);
    void (*fp107)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_channel_phase_addr;
    fp107 = fp107;
    extern void dvc_axi4_get_temp_static_write_addr_channel_phase_id(void);
    void (*fp108)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_channel_phase_id;
    fp108 = fp108;
    extern void dvc_axi4_set_temp_static_write_addr_channel_phase_id(void);
    void (*fp109)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_channel_phase_id;
    fp109 = fp109;
    extern void dvc_axi4_get_temp_static_write_addr_channel_phase_addr_user(void);
    void (*fp110)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_channel_phase_addr_user;
    fp110 = fp110;
    extern void dvc_axi4_set_temp_static_write_addr_channel_phase_addr_user(void);
    void (*fp111)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_channel_phase_addr_user;
    fp111 = fp111;
    extern void dvc_axi4_get_temp_static_write_channel_phase_data(void);
    void (*fp112)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_channel_phase_data;
    fp112 = fp112;
    extern void dvc_axi4_set_temp_static_write_channel_phase_data(void);
    void (*fp113)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_channel_phase_data;
    fp113 = fp113;
    extern void dvc_axi4_get_temp_static_write_channel_phase_write_strobes(void);
    void (*fp114)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_channel_phase_write_strobes;
    fp114 = fp114;
    extern void dvc_axi4_set_temp_static_write_channel_phase_write_strobes(void);
    void (*fp115)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_channel_phase_write_strobes;
    fp115 = fp115;
    extern void dvc_axi4_get_temp_static_write_channel_phase_user_data(void);
    void (*fp116)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_channel_phase_user_data;
    fp116 = fp116;
    extern void dvc_axi4_set_temp_static_write_channel_phase_user_data(void);
    void (*fp117)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_channel_phase_user_data;
    fp117 = fp117;
    extern void dvc_axi4_get_temp_static_write_resp_channel_phase_id(void);
    void (*fp118)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_resp_channel_phase_id;
    fp118 = fp118;
    extern void dvc_axi4_set_temp_static_write_resp_channel_phase_id(void);
    void (*fp119)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_resp_channel_phase_id;
    fp119 = fp119;
    extern void dvc_axi4_get_temp_static_write_resp_channel_phase_user_data(void);
    void (*fp120)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_resp_channel_phase_user_data;
    fp120 = fp120;
    extern void dvc_axi4_set_temp_static_write_resp_channel_phase_user_data(void);
    void (*fp121)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_resp_channel_phase_user_data;
    fp121 = fp121;
    extern void dvc_axi4_get_temp_static_read_addr_channel_cycle_addr(void);
    void (*fp122)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_channel_cycle_addr;
    fp122 = fp122;
    extern void dvc_axi4_set_temp_static_read_addr_channel_cycle_addr(void);
    void (*fp123)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_channel_cycle_addr;
    fp123 = fp123;
    extern void dvc_axi4_get_temp_static_read_addr_channel_cycle_id(void);
    void (*fp124)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_channel_cycle_id;
    fp124 = fp124;
    extern void dvc_axi4_set_temp_static_read_addr_channel_cycle_id(void);
    void (*fp125)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_channel_cycle_id;
    fp125 = fp125;
    extern void dvc_axi4_get_temp_static_read_addr_channel_cycle_user_data(void);
    void (*fp126)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_addr_channel_cycle_user_data;
    fp126 = fp126;
    extern void dvc_axi4_set_temp_static_read_addr_channel_cycle_user_data(void);
    void (*fp127)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_addr_channel_cycle_user_data;
    fp127 = fp127;
    extern void dvc_axi4_get_temp_static_read_channel_cycle_data(void);
    void (*fp128)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_channel_cycle_data;
    fp128 = fp128;
    extern void dvc_axi4_set_temp_static_read_channel_cycle_data(void);
    void (*fp129)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_channel_cycle_data;
    fp129 = fp129;
    extern void dvc_axi4_get_temp_static_read_channel_cycle_id(void);
    void (*fp130)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_channel_cycle_id;
    fp130 = fp130;
    extern void dvc_axi4_set_temp_static_read_channel_cycle_id(void);
    void (*fp131)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_channel_cycle_id;
    fp131 = fp131;
    extern void dvc_axi4_get_temp_static_read_channel_cycle_user_data(void);
    void (*fp132)(void) = (void (*)(void)) dvc_axi4_get_temp_static_read_channel_cycle_user_data;
    fp132 = fp132;
    extern void dvc_axi4_set_temp_static_read_channel_cycle_user_data(void);
    void (*fp133)(void) = (void (*)(void)) dvc_axi4_set_temp_static_read_channel_cycle_user_data;
    fp133 = fp133;
    extern void dvc_axi4_get_temp_static_write_addr_channel_cycle_addr(void);
    void (*fp134)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_channel_cycle_addr;
    fp134 = fp134;
    extern void dvc_axi4_set_temp_static_write_addr_channel_cycle_addr(void);
    void (*fp135)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_channel_cycle_addr;
    fp135 = fp135;
    extern void dvc_axi4_get_temp_static_write_addr_channel_cycle_id(void);
    void (*fp136)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_channel_cycle_id;
    fp136 = fp136;
    extern void dvc_axi4_set_temp_static_write_addr_channel_cycle_id(void);
    void (*fp137)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_channel_cycle_id;
    fp137 = fp137;
    extern void dvc_axi4_get_temp_static_write_addr_channel_cycle_user_data(void);
    void (*fp138)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_addr_channel_cycle_user_data;
    fp138 = fp138;
    extern void dvc_axi4_set_temp_static_write_addr_channel_cycle_user_data(void);
    void (*fp139)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_addr_channel_cycle_user_data;
    fp139 = fp139;
    extern void dvc_axi4_get_temp_static_write_channel_cycle_data(void);
    void (*fp140)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_channel_cycle_data;
    fp140 = fp140;
    extern void dvc_axi4_set_temp_static_write_channel_cycle_data(void);
    void (*fp141)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_channel_cycle_data;
    fp141 = fp141;
    extern void dvc_axi4_get_temp_static_write_channel_cycle_strb(void);
    void (*fp142)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_channel_cycle_strb;
    fp142 = fp142;
    extern void dvc_axi4_set_temp_static_write_channel_cycle_strb(void);
    void (*fp143)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_channel_cycle_strb;
    fp143 = fp143;
    extern void dvc_axi4_get_temp_static_write_channel_cycle_user_data(void);
    void (*fp144)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_channel_cycle_user_data;
    fp144 = fp144;
    extern void dvc_axi4_set_temp_static_write_channel_cycle_user_data(void);
    void (*fp145)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_channel_cycle_user_data;
    fp145 = fp145;
    extern void dvc_axi4_get_temp_static_write_resp_channel_cycle_id(void);
    void (*fp146)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_resp_channel_cycle_id;
    fp146 = fp146;
    extern void dvc_axi4_set_temp_static_write_resp_channel_cycle_id(void);
    void (*fp147)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_resp_channel_cycle_id;
    fp147 = fp147;
    extern void dvc_axi4_get_temp_static_write_resp_channel_cycle_user_data(void);
    void (*fp148)(void) = (void (*)(void)) dvc_axi4_get_temp_static_write_resp_channel_cycle_user_data;
    fp148 = fp148;
    extern void dvc_axi4_set_temp_static_write_resp_channel_cycle_user_data(void);
    void (*fp149)(void) = (void (*)(void)) dvc_axi4_set_temp_static_write_resp_channel_cycle_user_data;
    fp149 = fp149;
    extern void dvc_axi4_initialise_ACLK_from_CY(void);
    void (*fp150)(void) = (void (*)(void)) dvc_axi4_initialise_ACLK_from_CY;
    fp150 = fp150;
    extern void dvc_axi4_initialise_ARESETn_from_CY(void);
    void (*fp151)(void) = (void (*)(void)) dvc_axi4_initialise_ARESETn_from_CY;
    fp151 = fp151;
    extern void dvc_axi4_initialise_AWVALID_from_CY(void);
    void (*fp152)(void) = (void (*)(void)) dvc_axi4_initialise_AWVALID_from_CY;
    fp152 = fp152;
    extern void dvc_axi4_set_AWADDR_from_CY_index1(void);
    void (*fp153)(void) = (void (*)(void)) dvc_axi4_set_AWADDR_from_CY_index1;
    fp153 = fp153;
    extern void dvc_axi4_initialise_AWADDR_from_CY(void);
    void (*fp154)(void) = (void (*)(void)) dvc_axi4_initialise_AWADDR_from_CY;
    fp154 = fp154;
    extern void dvc_axi4_initialise_AWPROT_from_CY(void);
    void (*fp155)(void) = (void (*)(void)) dvc_axi4_initialise_AWPROT_from_CY;
    fp155 = fp155;
    extern void dvc_axi4_initialise_AWREGION_from_CY(void);
    void (*fp156)(void) = (void (*)(void)) dvc_axi4_initialise_AWREGION_from_CY;
    fp156 = fp156;
    extern void dvc_axi4_initialise_AWLEN_from_CY(void);
    void (*fp157)(void) = (void (*)(void)) dvc_axi4_initialise_AWLEN_from_CY;
    fp157 = fp157;
    extern void dvc_axi4_initialise_AWSIZE_from_CY(void);
    void (*fp158)(void) = (void (*)(void)) dvc_axi4_initialise_AWSIZE_from_CY;
    fp158 = fp158;
    extern void dvc_axi4_initialise_AWBURST_from_CY(void);
    void (*fp159)(void) = (void (*)(void)) dvc_axi4_initialise_AWBURST_from_CY;
    fp159 = fp159;
    extern void dvc_axi4_initialise_AWLOCK_from_CY(void);
    void (*fp160)(void) = (void (*)(void)) dvc_axi4_initialise_AWLOCK_from_CY;
    fp160 = fp160;
    extern void dvc_axi4_initialise_AWCACHE_from_CY(void);
    void (*fp161)(void) = (void (*)(void)) dvc_axi4_initialise_AWCACHE_from_CY;
    fp161 = fp161;
    extern void dvc_axi4_initialise_AWQOS_from_CY(void);
    void (*fp162)(void) = (void (*)(void)) dvc_axi4_initialise_AWQOS_from_CY;
    fp162 = fp162;
    extern void dvc_axi4_set_AWID_from_CY_index1(void);
    void (*fp163)(void) = (void (*)(void)) dvc_axi4_set_AWID_from_CY_index1;
    fp163 = fp163;
    extern void dvc_axi4_initialise_AWID_from_CY(void);
    void (*fp164)(void) = (void (*)(void)) dvc_axi4_initialise_AWID_from_CY;
    fp164 = fp164;
    extern void dvc_axi4_set_AWUSER_from_CY_index1(void);
    void (*fp165)(void) = (void (*)(void)) dvc_axi4_set_AWUSER_from_CY_index1;
    fp165 = fp165;
    extern void dvc_axi4_initialise_AWUSER_from_CY(void);
    void (*fp166)(void) = (void (*)(void)) dvc_axi4_initialise_AWUSER_from_CY;
    fp166 = fp166;
    extern void dvc_axi4_initialise_AWREADY_from_CY(void);
    void (*fp167)(void) = (void (*)(void)) dvc_axi4_initialise_AWREADY_from_CY;
    fp167 = fp167;
    extern void dvc_axi4_initialise_ARVALID_from_CY(void);
    void (*fp168)(void) = (void (*)(void)) dvc_axi4_initialise_ARVALID_from_CY;
    fp168 = fp168;
    extern void dvc_axi4_set_ARADDR_from_CY_index1(void);
    void (*fp169)(void) = (void (*)(void)) dvc_axi4_set_ARADDR_from_CY_index1;
    fp169 = fp169;
    extern void dvc_axi4_initialise_ARADDR_from_CY(void);
    void (*fp170)(void) = (void (*)(void)) dvc_axi4_initialise_ARADDR_from_CY;
    fp170 = fp170;
    extern void dvc_axi4_initialise_ARPROT_from_CY(void);
    void (*fp171)(void) = (void (*)(void)) dvc_axi4_initialise_ARPROT_from_CY;
    fp171 = fp171;
    extern void dvc_axi4_initialise_ARREGION_from_CY(void);
    void (*fp172)(void) = (void (*)(void)) dvc_axi4_initialise_ARREGION_from_CY;
    fp172 = fp172;
    extern void dvc_axi4_initialise_ARLEN_from_CY(void);
    void (*fp173)(void) = (void (*)(void)) dvc_axi4_initialise_ARLEN_from_CY;
    fp173 = fp173;
    extern void dvc_axi4_initialise_ARSIZE_from_CY(void);
    void (*fp174)(void) = (void (*)(void)) dvc_axi4_initialise_ARSIZE_from_CY;
    fp174 = fp174;
    extern void dvc_axi4_initialise_ARBURST_from_CY(void);
    void (*fp175)(void) = (void (*)(void)) dvc_axi4_initialise_ARBURST_from_CY;
    fp175 = fp175;
    extern void dvc_axi4_initialise_ARLOCK_from_CY(void);
    void (*fp176)(void) = (void (*)(void)) dvc_axi4_initialise_ARLOCK_from_CY;
    fp176 = fp176;
    extern void dvc_axi4_initialise_ARCACHE_from_CY(void);
    void (*fp177)(void) = (void (*)(void)) dvc_axi4_initialise_ARCACHE_from_CY;
    fp177 = fp177;
    extern void dvc_axi4_initialise_ARQOS_from_CY(void);
    void (*fp178)(void) = (void (*)(void)) dvc_axi4_initialise_ARQOS_from_CY;
    fp178 = fp178;
    extern void dvc_axi4_set_ARID_from_CY_index1(void);
    void (*fp179)(void) = (void (*)(void)) dvc_axi4_set_ARID_from_CY_index1;
    fp179 = fp179;
    extern void dvc_axi4_initialise_ARID_from_CY(void);
    void (*fp180)(void) = (void (*)(void)) dvc_axi4_initialise_ARID_from_CY;
    fp180 = fp180;
    extern void dvc_axi4_set_ARUSER_from_CY_index1(void);
    void (*fp181)(void) = (void (*)(void)) dvc_axi4_set_ARUSER_from_CY_index1;
    fp181 = fp181;
    extern void dvc_axi4_initialise_ARUSER_from_CY(void);
    void (*fp182)(void) = (void (*)(void)) dvc_axi4_initialise_ARUSER_from_CY;
    fp182 = fp182;
    extern void dvc_axi4_initialise_ARREADY_from_CY(void);
    void (*fp183)(void) = (void (*)(void)) dvc_axi4_initialise_ARREADY_from_CY;
    fp183 = fp183;
    extern void dvc_axi4_initialise_RVALID_from_CY(void);
    void (*fp184)(void) = (void (*)(void)) dvc_axi4_initialise_RVALID_from_CY;
    fp184 = fp184;
    extern void dvc_axi4_set_RDATA_from_CY_index1(void);
    void (*fp185)(void) = (void (*)(void)) dvc_axi4_set_RDATA_from_CY_index1;
    fp185 = fp185;
    extern void dvc_axi4_initialise_RDATA_from_CY(void);
    void (*fp186)(void) = (void (*)(void)) dvc_axi4_initialise_RDATA_from_CY;
    fp186 = fp186;
    extern void dvc_axi4_initialise_RRESP_from_CY(void);
    void (*fp187)(void) = (void (*)(void)) dvc_axi4_initialise_RRESP_from_CY;
    fp187 = fp187;
    extern void dvc_axi4_initialise_RLAST_from_CY(void);
    void (*fp188)(void) = (void (*)(void)) dvc_axi4_initialise_RLAST_from_CY;
    fp188 = fp188;
    extern void dvc_axi4_set_RID_from_CY_index1(void);
    void (*fp189)(void) = (void (*)(void)) dvc_axi4_set_RID_from_CY_index1;
    fp189 = fp189;
    extern void dvc_axi4_initialise_RID_from_CY(void);
    void (*fp190)(void) = (void (*)(void)) dvc_axi4_initialise_RID_from_CY;
    fp190 = fp190;
    extern void dvc_axi4_set_RUSER_from_CY_index1(void);
    void (*fp191)(void) = (void (*)(void)) dvc_axi4_set_RUSER_from_CY_index1;
    fp191 = fp191;
    extern void dvc_axi4_initialise_RUSER_from_CY(void);
    void (*fp192)(void) = (void (*)(void)) dvc_axi4_initialise_RUSER_from_CY;
    fp192 = fp192;
    extern void dvc_axi4_initialise_RREADY_from_CY(void);
    void (*fp193)(void) = (void (*)(void)) dvc_axi4_initialise_RREADY_from_CY;
    fp193 = fp193;
    extern void dvc_axi4_initialise_WVALID_from_CY(void);
    void (*fp194)(void) = (void (*)(void)) dvc_axi4_initialise_WVALID_from_CY;
    fp194 = fp194;
    extern void dvc_axi4_set_WDATA_from_CY_index1(void);
    void (*fp195)(void) = (void (*)(void)) dvc_axi4_set_WDATA_from_CY_index1;
    fp195 = fp195;
    extern void dvc_axi4_initialise_WDATA_from_CY(void);
    void (*fp196)(void) = (void (*)(void)) dvc_axi4_initialise_WDATA_from_CY;
    fp196 = fp196;
    extern void dvc_axi4_set_WSTRB_from_CY_index1(void);
    void (*fp197)(void) = (void (*)(void)) dvc_axi4_set_WSTRB_from_CY_index1;
    fp197 = fp197;
    extern void dvc_axi4_initialise_WSTRB_from_CY(void);
    void (*fp198)(void) = (void (*)(void)) dvc_axi4_initialise_WSTRB_from_CY;
    fp198 = fp198;
    extern void dvc_axi4_initialise_WLAST_from_CY(void);
    void (*fp199)(void) = (void (*)(void)) dvc_axi4_initialise_WLAST_from_CY;
    fp199 = fp199;
    extern void dvc_axi4_set_WUSER_from_CY_index1(void);
    void (*fp200)(void) = (void (*)(void)) dvc_axi4_set_WUSER_from_CY_index1;
    fp200 = fp200;
    extern void dvc_axi4_initialise_WUSER_from_CY(void);
    void (*fp201)(void) = (void (*)(void)) dvc_axi4_initialise_WUSER_from_CY;
    fp201 = fp201;
    extern void dvc_axi4_initialise_WREADY_from_CY(void);
    void (*fp202)(void) = (void (*)(void)) dvc_axi4_initialise_WREADY_from_CY;
    fp202 = fp202;
    extern void dvc_axi4_initialise_BVALID_from_CY(void);
    void (*fp203)(void) = (void (*)(void)) dvc_axi4_initialise_BVALID_from_CY;
    fp203 = fp203;
    extern void dvc_axi4_initialise_BRESP_from_CY(void);
    void (*fp204)(void) = (void (*)(void)) dvc_axi4_initialise_BRESP_from_CY;
    fp204 = fp204;
    extern void dvc_axi4_set_BID_from_CY_index1(void);
    void (*fp205)(void) = (void (*)(void)) dvc_axi4_set_BID_from_CY_index1;
    fp205 = fp205;
    extern void dvc_axi4_initialise_BID_from_CY(void);
    void (*fp206)(void) = (void (*)(void)) dvc_axi4_initialise_BID_from_CY;
    fp206 = fp206;
    extern void dvc_axi4_set_BUSER_from_CY_index1(void);
    void (*fp207)(void) = (void (*)(void)) dvc_axi4_set_BUSER_from_CY_index1;
    fp207 = fp207;
    extern void dvc_axi4_initialise_BUSER_from_CY(void);
    void (*fp208)(void) = (void (*)(void)) dvc_axi4_initialise_BUSER_from_CY;
    fp208 = fp208;
    extern void dvc_axi4_initialise_BREADY_from_CY(void);
    void (*fp209)(void) = (void (*)(void)) dvc_axi4_initialise_BREADY_from_CY;
    fp209 = fp209;
    extern void dvc_axi4_set_config_axi4lite_interface_from_CY(void);
    void (*fp210)(void) = (void (*)(void)) dvc_axi4_set_config_axi4lite_interface_from_CY;
    fp210 = fp210;
    extern void dvc_axi4_set_config_interface_type_from_CY(void);
    void (*fp211)(void) = (void (*)(void)) dvc_axi4_set_config_interface_type_from_CY;
    fp211 = fp211;
    extern void dvc_axi4_set_config_enable_rlast_from_CY(void);
    void (*fp212)(void) = (void (*)(void)) dvc_axi4_set_config_enable_rlast_from_CY;
    fp212 = fp212;
    extern void dvc_axi4_set_config_enable_id_from_CY(void);
    void (*fp213)(void) = (void (*)(void)) dvc_axi4_set_config_enable_id_from_CY;
    fp213 = fp213;
    extern void dvc_axi4_set_config_enable_all_assertions_from_CY(void);
    void (*fp214)(void) = (void (*)(void)) dvc_axi4_set_config_enable_all_assertions_from_CY;
    fp214 = fp214;
    extern void dvc_axi4_set_config_enable_assertion_from_CY(void);
    void (*fp215)(void) = (void (*)(void)) dvc_axi4_set_config_enable_assertion_from_CY;
    fp215 = fp215;
    extern void dvc_axi4_set_config_enable_user_sideband_from_CY(void);
    void (*fp216)(void) = (void (*)(void)) dvc_axi4_set_config_enable_user_sideband_from_CY;
    fp216 = fp216;
    extern void dvc_axi4_set_config_enable_slave_exclusive_from_CY(void);
    void (*fp217)(void) = (void (*)(void)) dvc_axi4_set_config_enable_slave_exclusive_from_CY;
    fp217 = fp217;
    extern void dvc_axi4_set_config_read_data_reordering_depth_from_CY(void);
    void (*fp218)(void) = (void (*)(void)) dvc_axi4_set_config_read_data_reordering_depth_from_CY;
    fp218 = fp218;
    extern void dvc_axi4_set_config_slave_start_addr_from_CY_index1(void);
    void (*fp219)(void) = (void (*)(void)) dvc_axi4_set_config_slave_start_addr_from_CY_index1;
    fp219 = fp219;
    extern void dvc_axi4_set_config_slave_end_addr_from_CY_index1(void);
    void (*fp220)(void) = (void (*)(void)) dvc_axi4_set_config_slave_end_addr_from_CY_index1;
    fp220 = fp220;
    extern void dvc_axi4_set_config_max_transaction_time_factor_from_CY(void);
    void (*fp221)(void) = (void (*)(void)) dvc_axi4_set_config_max_transaction_time_factor_from_CY;
    fp221 = fp221;
    extern void dvc_axi4_set_config_burst_timeout_factor_from_CY(void);
    void (*fp222)(void) = (void (*)(void)) dvc_axi4_set_config_burst_timeout_factor_from_CY;
    fp222 = fp222;
    extern void dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_CY(void);
    void (*fp223)(void) = (void (*)(void)) dvc_axi4_set_config_max_latency_AWVALID_assertion_to_AWREADY_from_CY;
    fp223 = fp223;
    extern void dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_CY(void);
    void (*fp224)(void) = (void (*)(void)) dvc_axi4_set_config_max_latency_ARVALID_assertion_to_ARREADY_from_CY;
    fp224 = fp224;
    extern void dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_CY(void);
    void (*fp225)(void) = (void (*)(void)) dvc_axi4_set_config_max_latency_RVALID_assertion_to_RREADY_from_CY;
    fp225 = fp225;
    extern void dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_CY(void);
    void (*fp226)(void) = (void (*)(void)) dvc_axi4_set_config_max_latency_BVALID_assertion_to_BREADY_from_CY;
    fp226 = fp226;
    extern void dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_CY(void);
    void (*fp227)(void) = (void (*)(void)) dvc_axi4_set_config_max_latency_WVALID_assertion_to_WREADY_from_CY;
    fp227 = fp227;
    extern void dvc_axi4_set_config_enable_qos_from_CY(void);
    void (*fp228)(void) = (void (*)(void)) dvc_axi4_set_config_enable_qos_from_CY;
    fp228 = fp228;
    extern void dvc_axi4_set_config_setup_time_from_CY(void);
    void (*fp229)(void) = (void (*)(void)) dvc_axi4_set_config_setup_time_from_CY;
    fp229 = fp229;
    extern void dvc_axi4_set_config_hold_time_from_CY(void);
    void (*fp230)(void) = (void (*)(void)) dvc_axi4_set_config_hold_time_from_CY;
    fp230 = fp230;
    extern void dvc_axi4_set_config_num_max_outstanding_reads_from_CY(void);
    void (*fp231)(void) = (void (*)(void)) dvc_axi4_set_config_num_max_outstanding_reads_from_CY;
    fp231 = fp231;
    extern void dvc_axi4_set_config_num_max_outstanding_writes_from_CY(void);
    void (*fp232)(void) = (void (*)(void)) dvc_axi4_set_config_num_max_outstanding_writes_from_CY;
    fp232 = fp232;
    extern void dvc_axi4_set_config_max_outstanding_wr_from_CY(void);
    void (*fp233)(void) = (void (*)(void)) dvc_axi4_set_config_max_outstanding_wr_from_CY;
    fp233 = fp233;
    extern void dvc_axi4_set_config_max_outstanding_rd_from_CY(void);
    void (*fp234)(void) = (void (*)(void)) dvc_axi4_set_config_max_outstanding_rd_from_CY;
    fp234 = fp234;
    extern void dvc_axi4_set_config_max_outstanding_rw_from_CY(void);
    void (*fp235)(void) = (void (*)(void)) dvc_axi4_set_config_max_outstanding_rw_from_CY;
    fp235 = fp235;
    extern void dvc_axi4_set_config_num_outstanding_wr_phase_from_CY(void);
    void (*fp236)(void) = (void (*)(void)) dvc_axi4_set_config_num_outstanding_wr_phase_from_CY;
    fp236 = fp236;
    extern void dvc_axi4_set_config_num_outstanding_rd_phase_from_CY(void);
    void (*fp237)(void) = (void (*)(void)) dvc_axi4_set_config_num_outstanding_rd_phase_from_CY;
    fp237 = fp237;
    extern void dvc_axi4_set_config_is_issuing_from_CY(void);
    void (*fp238)(void) = (void (*)(void)) dvc_axi4_set_config_is_issuing_from_CY;
    fp238 = fp238;
    extern void dvc_axi4_unblock_SystemVerilog(void);
    void (*fp239)(void) = (void (*)(void)) dvc_axi4_unblock_SystemVerilog;
    fp239 = fp239;
    extern void dvc_axi4_wait_for(void);
    void (*fp240)(void) = (void (*)(void)) dvc_axi4_wait_for;
    fp240 = fp240;
    extern void dvc_axi4_block_SystemVerilog(void);
    void (*fp241)(void) = (void (*)(void)) dvc_axi4_block_SystemVerilog;
    fp241 = fp241;
}
#endif /* __VCS_EXPORT_DPI_DUMMY_REFERENCES_ */

#ifdef __cplusplus
}
#endif

